<?php


namespace App\Domain\Continent;

use Illuminate\Database\Eloquent\Model;

class Continent extends Model
{
    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * The connection name for the model.
     *
     * @var string|null
     */
    protected $connection = 'default';

    /**
     * The attributes that aren't mass assignable.
     *
     * @var string[]|bool
     */
    protected $guarded = [];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'register_date' => 'datetime:' . \DateTimeInterface::ISO8601,
        'update_date' => 'datetime:' . \DateTimeInterface::ISO8601,
    ];

    /**
     * The storage format of the model's date columns.
     *
     * @var string
     */
    protected $dateFormat = \DateTimeInterface::ISO8601;

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array
     */
    protected $hidden = ['id_account'];
}
