<?php

namespace App\Domain\Continent;

use App\BaseMapper;
use App\Response\Response;
use App\Routines\Auth as Routines;
use Exception;
use App\Exceptions\RoutineQueryException;

class Mapper extends BaseMapper
{
    public $modelClass = Continent::class;

    /**
     * find
     *
     * @param array $parameters
     * @return Response
     * @throws RoutineQueryException|Exception
     */
    public function find(array $parameters): Response
    {
        return $this->get(Routines::SP_GET_CONTINENTS, $parameters)
            ->mapInto($this->modelClass);
    }
}
