<?php

namespace App\Domain\Role;

use App\Routines\Auth as Routines;
use Exception;
use App\BaseMapper;
use App\Response\Response;
use App\Exceptions\RoutineQueryException;

class Mapper extends BaseMapper
{
    public $modelClass = Role::class;

    /**
     * find
     *
     * @param array $parameters
     * @return Response
     * @throws RoutineQueryException|Exception
     */
    public function find(array $parameters): Response
    {
        return $this->get(Routines::SP_GET_ROLE, $parameters)
            ->mapInto($this->modelClass);
    }

    /**
     * all
     *
     * @param array $parameters
     * @return Response
     * @throws RoutineQueryException|Exception
     */
    public function all(array $parameters): Response
    {
        return $this->get(Routines::SP_GET_ROLES, $parameters)
            ->mapInto($this->modelClass);
    }
}
